New Search

OLE Automation Remote Code Execution Vulnerability - CVE-2019-0794

oval:org.cisecurity:def:6367

A remote code execution vulnerability exists when OLE automation improperly handles objects in memory. An attacker who successfully exploited the vulnerability could gain execution on the victim system. To exploit the vulnerability an attacker could host a specially crafted website designed to invoke OLE automation through a web browser. However an attacker would have to entice a user to visit such a website. The update addresses the vulnerability by correcting how OLE automation handles objects in memory.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2012
  • Microsoft Windows 8.1
  • Microsoft Windows 7
  • Microsoft Windows Server 2016
  • Microsoft Windows 10
  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012 R2
Class:
vulnerability
Reference(s):
  • CVE-2019-0794
  • MSRC-CVE-2019-0794
  • KB4493448
  • KB4493458
  • KB4493450
  • KB4493467
  • KB4493475
  • KB4493470
  • KB4493474
  • KB4493441
  • KB4493464
  • KB4493509
Product(s):